#ifndef __SIDPLAY_H
#define __SIDPLAY_H

#ifdef __cplusplus
extern "C" {
#endif

void c64Init(void);
void synth_init(unsigned long mixfrq);
unsigned short LoadSIDFromMemory(void *pSidData, unsigned short *load_addr, unsigned short *init_addr, unsigned short *play_addr, unsigned char *subsongs, unsigned char *startsong, unsigned char *speed, unsigned short size);

void cpuJSR(unsigned short npc, unsigned char na);
void sidPoke(int reg, unsigned char val);
int sidGetCIA();
void synth_render(unsigned short *buffer, unsigned long len);

#ifdef __cplusplus
}
#endif

#endif
